cloud-init SRU: 18.5-21-g8ee294d5-0ubuntu1 -> 18.5-45-g3554ffe8-0ubuntu1

Bug #1819067 reported by Dan Watkins on 2019-03-07
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
cloud-init (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Unassigned
Bionic
Undecided
Unassigned
Cosmic
Undecided
Unassigned
Disco
Undecided
Unassigned

Bug Description

== Begin SRU Template ==
[Impact]
This release sports both bug-fixes and new features and we would like to
make sure all of our supported customers have access to these
improvements. The notable ones are:

   * cc_apt_pipelining: stop disabling pipelining by default
   * Enable encrypted_data_bag_secret support for Chef
   * azure: Filter list of ssh keys pulled from fabric [Jason Zions (MSFT)]
   * EC2: Rewrite network config on AWS Classic instances every boot
   * netplan: Don't render yaml aliases when dumping netplan
   * clean: cloud-init clean should not trace when run from within cloud_dir

See the changelog entry below for a full list of changes and bugs.

[Test Case]
The following development and SRU process was followed:
https://wiki.ubuntu.com/CloudinitUpdates

The cloud-init team will be in charge of attaching the artifacts and
console output of the appropriate run to the bug. cloud-init team
members will not mark ‘verification-done’ until this has happened.

* Automated Test Results
DONE: attach automated cloud-init-proposed test artifacts from tests for each release with lxd artifacts
DONE: attach automated cloud-init-proposed test artifacts from tests for each release with kvm artifacts
DONE: attach MAAS Team test results for each SRU release

* Manual Test Results
DONE: attach manual cloud-init-proposed test artifacts from tests for each release on ec2 datasource
DONE: attach manual cloud-init-proposed test artifacts from tests for each release on gce datasource
DONE: attach manual cloud-init-proposed test artifacts from tests for each release on azure datasource

[Regression Potential]
In order to mitigate the regression potential, the results of the
aforementioned integration tests are attached to this bug.

== End SRU Template ==

== Changelog ==

cloud-init (18.5-45-g3554ffe8-0ubuntu1) disco; urgency=medium

  * New upstream snapshot.
    - cloud-init-per: POSIX sh does not support string subst, use sed
      (LP: #1819222)

 -- Daniel Watkins <email address hidden> Fri, 08 Mar 2019 17:42:34 -0500

cloud-init (18.5-44-g7c07af28-0ubuntu2) disco; urgency=medium

  * d/postinst: remove now-incorrect apt pipelining configuration

 -- Daniel Watkins <email address hidden> Fri, 08 Mar 2019 09:56:42 -0500

cloud-init (18.5-44-g7c07af28-0ubuntu1) disco; urgency=medium

  * New upstream snapshot.
    - Support locking user with usermod if passwd is not available.
      [Scott Moser]
    - Example for Microsoft Azure data disk added. [Anton Olifir]
    - clean: correctly determine the path for excluding seed directory
    - helpers/openstack: Treat unknown link types as physical (LP: #1639263)
    - drop Python 2.6 support and our NIH version detection
    - tip-pylint: Fix assignment-from-return-none errors
    - net: append type:dhcp[46] only if dhcp[46] is True in v2 netconfig
      [Kurt Stieger]
    - cc_apt_pipelining: stop disabling pipelining by default
    - tests: fix some slow tests and some leaking state
    - util: don't determine string_types ourselves
    - cc_rsyslog: Escape possible nested set
    - Enable encrypted_data_bag_secret support for Chef
      [Eric Williams]
    - azure: Filter list of ssh keys pulled from fabric [Jason Zions (MSFT)]
    - doc: update merging doc with fixes and some additional details/examples
    - tests: integration test failure summary to use traceback if empty error
    - cloud-init-per mishandles commands with dashes [Vitaly Kuznetsov]
    - EC2: Rewrite network config on AWS Classic instances every boot
      [Guilherme G. Piccoli]
    - netinfo: Adjust ifconfig output parsing for FreeBSD ipv6 entries
    - netplan: Don't render yaml aliases when dumping netplan
    - add PyCharm IDE .idea/ path to .gitignore [Dominic Schlegel]
    - correct grammar issue in instance metadata documentation
      [Dominic Schlegel]
    - clean: cloud-init clean should not trace when run from within cloud_dir
    - Resolve flake8 comparison and pycodestyle over-ident issues
      [Paride Legovini]
  * Update netplan dependency package
  * Fix build-depends-on-obsolete-package for dh-systemd
  * Change Priority from extra to optional
  * Override lintian warnings about WantedBy=cloud-init.target

 -- Daniel Watkins <email address hidden> Thu, 07 Mar 2019 10:32:26 -0500

Dan Watkins (daniel-thewatkins) wrote :

This version is in disco-proposed, so marked that Fix Committed.

Changed in cloud-init (Ubuntu Disco):
status: New → Fix Committed
description: updated
description: updated

Hello Dan, or anyone else affected,

Accepted cloud-init into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/cloud-init/18.5-45-g3554ffe8-0ubuntu1~18.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in cloud-init (Ubuntu Cosmic):
status: New → Fix Committed
tags: added: verification-needed verification-needed-cosmic
summary: - cloud-init SRU: 18.5-21-g8ee294d5-0ubuntu1 -> 18.5-44-g7c07af28-0ubuntu1
+ cloud-init SRU: 18.5-21-g8ee294d5-0ubuntu1 -> 18.5-45-g3554ffe8-0ubuntu1
Łukasz Zemczak (sil2100) wrote :

Hello Dan, or anyone else affected,

Accepted cloud-init into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/cloud-init/18.5-45-g3554ffe8-0ubuntu1~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in cloud-init (Ubuntu Bionic):
status: New → Fix Committed
tags: added: verification-needed-bionic
description: updated
Łukasz Zemczak (sil2100) wrote :

Hello Dan, or anyone else affected,

Accepted cloud-init into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/cloud-init/18.5-45-g3554ffe8-0ubuntu1~16.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in cloud-init (Ubuntu Xenial):
status: New → Fix Committed
tags: added: verification-needed-xenial
Nicolas Pochet (npochet) wrote :

I tested on Bionic:
* netplan: Don't render yaml aliases when dumping netplan (LP: #1815051)
And it was successful for me. The issue described in LP: #1815051 does not appear.
I will not update the tag for Bionic as I did not test the other issues.

Dan Watkins (daniel-thewatkins) wrote :

Thanks for the testing, Nicolas!

The cloud-init team also completed the full suite of testing for the SRUs late yesterday; as we didn't want to release on a Friday, we'll be aiming to release the SRUs on Monday.

Ryan Harper (raharper) wrote :

Xenial proposed automated testing of lxd, nocloud-kvm and ec2 platforms, 18.5-45-g3554ffe8-0ubuntu1_16.04.1.

Ryan Harper (raharper) wrote :

Bionic proposed automated testing of lxd, nocloud-kvm and ec2 platforms, 18.5-45-g3554ffe8-0ubuntu1_18.04.1

Ryan Harper (raharper) wrote :

Cosmic proposed automated testing of lxd, nocloud-kvm and ec2 platforms, 18.5-21-g8ee294d5-0ubuntu1_18.10.1

Ryan Harper (raharper) wrote :

EC2 Xenial, Bionic and Cosmic manual test results.

Ryan Harper (raharper) wrote :

Azure Xenial, Bionic and Cosmic Manual Test results

Ryan Harper (raharper) wrote :

GCE Xenial, Bionic and Cosmic manual test results!

Ryan Harper (raharper) wrote :

OpenStack Xenial, Bionic, Cosmic manual test results.

Ryan Harper (raharper) wrote :

NoCloud Xenial, Bionic and Cosmic Manual test results.

Ryan Harper (raharper) wrote :

MAAS QA Results for cloud-init on Xenial

Ryan Harper (raharper) wrote :

MAAS QA Results for cloud-init on Bionic

Ryan Harper (raharper) wrote :

MAAS QA Results for cloud-init on Cosmic

Joshua Powers (powersj) on 2019-03-19
tags: added: verification-done verification-done-bionic verification-done-cosmic verification-done-xenial
removed: verification-needed verification-needed-bionic verification-needed-cosmic verification-needed-xenial
description: updated
Ryan Harper (raharper) on 2019-03-19
Changed in cloud-init (Ubuntu Disco):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cloud-init - 18.5-45-g3554ffe8-0ubuntu1~18.10.1

---------------
cloud-init (18.5-45-g3554ffe8-0ubuntu1~18.10.1) cosmic; urgency=medium

  * New upstream snapshot. (LP: #1819067)
    - cloud-init-per: POSIX sh does not support string subst, use sed
    - Support locking user with usermod if passwd is not available.
      [Scott Moser]
    - Example for Microsoft Azure data disk added. [Anton Olifir]
    - clean: correctly determine the path for excluding seed directory
    - helpers/openstack: Treat unknown link types as physical
    - drop Python 2.6 support and our NIH version detection
    - tip-pylint: Fix assignment-from-return-none errors
    - net: append type:dhcp[46] only if dhcp[46] is True in v2 netconfig
      [Kurt Stieger]
    - cc_apt_pipelining: stop disabling pipelining by default
    - tests: fix some slow tests and some leaking state
    - util: don't determine string_types ourselves
    - cc_rsyslog: Escape possible nested set
    - Enable encrypted_data_bag_secret support for Chef [Eric Williams]
    - azure: Filter list of ssh keys pulled from fabric [Jason Zions (MSFT)]
    - doc: update merging doc with fixes and some additional details/examples
    - tests: integration test failure summary to use traceback if empty error
    - This is to fix https://bugs.launchpad.net/cloud-init/+bug/1812676
      [Vitaly Kuznetsov]
    - EC2: Rewrite network config on AWS Classic instances every boot
      [Guilherme G. Piccoli]
    - netinfo: Adjust ifconfig output parsing for FreeBSD ipv6 entries
    - netplan: Don't render yaml aliases when dumping netplan
    - add PyCharm IDE .idea/ path to .gitignore [Dominic Schlegel]
    - correct grammar issue in instance metadata documentation
      [Dominic Schlegel]
    - clean: cloud-init clean should not trace when run from within cloud_dir
    - Resolve flake8 comparison and pycodestyle over-ident issues
      [Paride Legovini]
  * Update netplan dependency package (LP: #1813667)
  * Fix build-depends-on-obsolete-package for dh-systemd
  * Change Priority from extra to optional
  * Override lintian warnings about WantedBy=cloud-init.target
  * Change Maintainer to Ubuntu Developers
  * d/postinst: remove now-incorrect apt pipelining configuration

 -- Daniel Watkins <email address hidden> Mon, 11 Mar 2019 17:04:15 -0400

Changed in cloud-init (Ubuntu Cosmic):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for cloud-init has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cloud-init - 18.5-45-g3554ffe8-0ubuntu1~18.04.1

---------------
cloud-init (18.5-45-g3554ffe8-0ubuntu1~18.04.1) bionic; urgency=medium

  * New upstream snapshot. (LP: #1819067)
    - cloud-init-per: POSIX sh does not support string subst, use sed
    - Support locking user with usermod if passwd is not available.
      [Scott Moser]
    - Example for Microsoft Azure data disk added. [Anton Olifir]
    - clean: correctly determine the path for excluding seed directory
    - helpers/openstack: Treat unknown link types as physical
    - drop Python 2.6 support and our NIH version detection
    - tip-pylint: Fix assignment-from-return-none errors
    - net: append type:dhcp[46] only if dhcp[46] is True in v2 netconfig
      [Kurt Stieger]
    - cc_apt_pipelining: stop disabling pipelining by default
    - tests: fix some slow tests and some leaking state
    - util: don't determine string_types ourselves
    - cc_rsyslog: Escape possible nested set
    - Enable encrypted_data_bag_secret support for Chef [Eric Williams]
    - azure: Filter list of ssh keys pulled from fabric [Jason Zions (MSFT)]
    - doc: update merging doc with fixes and some additional details/examples
    - tests: integration test failure summary to use traceback if empty error
    - This is to fix https://bugs.launchpad.net/cloud-init/+bug/1812676
      [Vitaly Kuznetsov]
    - EC2: Rewrite network config on AWS Classic instances every boot
      [Guilherme G. Piccoli]
    - netinfo: Adjust ifconfig output parsing for FreeBSD ipv6 entries
    - netplan: Don't render yaml aliases when dumping netplan
    - add PyCharm IDE .idea/ path to .gitignore [Dominic Schlegel]
    - correct grammar issue in instance metadata documentation
      [Dominic Schlegel]
    - clean: cloud-init clean should not trace when run from within cloud_dir
    - Resolve flake8 comparison and pycodestyle over-ident issues
      [Paride Legovini]
  * Update netplan dependency package (LP: #1813667)
  * Fix build-depends-on-obsolete-package for dh-systemd
  * Change Priority from extra to optional
  * Override lintian warnings about WantedBy=cloud-init.target
  * Change Maintainer to Ubuntu Developers
  * d/postinst: remove now-incorrect apt pipelining configuration

 -- Daniel Watkins <email address hidden> Mon, 11 Mar 2019 17:07:54 -0400

Changed in cloud-init (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cloud-init - 18.5-45-g3554ffe8-0ubuntu1~16.04.1

---------------
cloud-init (18.5-45-g3554ffe8-0ubuntu1~16.04.1) xenial; urgency=medium

  * New upstream snapshot. (LP: #1819067)
    - cloud-init-per: POSIX sh does not support string subst, use sed
    - Support locking user with usermod if passwd is not available.
      [Scott Moser]
    - Example for Microsoft Azure data disk added. [Anton Olifir]
    - clean: correctly determine the path for excluding seed directory
    - helpers/openstack: Treat unknown link types as physical
    - drop Python 2.6 support and our NIH version detection
    - tip-pylint: Fix assignment-from-return-none errors
    - net: append type:dhcp[46] only if dhcp[46] is True in v2 netconfig
      [Kurt Stieger]
    - cc_apt_pipelining: stop disabling pipelining by default
    - tests: fix some slow tests and some leaking state
    - util: don't determine string_types ourselves
    - cc_rsyslog: Escape possible nested set
    - Enable encrypted_data_bag_secret support for Chef [Eric Williams]
    - azure: Filter list of ssh keys pulled from fabric [Jason Zions (MSFT)]
    - doc: update merging doc with fixes and some additional details/examples
    - tests: integration test failure summary to use traceback if empty error
    - This is to fix https://bugs.launchpad.net/cloud-init/+bug/1812676
      [Vitaly Kuznetsov]
    - EC2: Rewrite network config on AWS Classic instances every boot
      [Guilherme G. Piccoli]
    - netinfo: Adjust ifconfig output parsing for FreeBSD ipv6 entries
    - netplan: Don't render yaml aliases when dumping netplan
    - add PyCharm IDE .idea/ path to .gitignore [Dominic Schlegel]
    - correct grammar issue in instance metadata documentation
      [Dominic Schlegel]
    - clean: cloud-init clean should not trace when run from within cloud_dir
    - Resolve flake8 comparison and pycodestyle over-ident issues
      [Paride Legovini]
  * Change Maintainer to Ubuntu Developers
  * d/postinst: remove now-incorrect apt pipelining configuration
  * d/patches/ec2-classic-dont-reapply-networking.patch: don't needlessly
    reapply networking configuration on every boot for EC2 classic instances

 -- Daniel Watkins <email address hidden> Mon, 11 Mar 2019 17:09:59 -0400

Changed in cloud-init (Ubuntu Xenial):
status: Fix Committed → Fix Released
To post a comment you must log in.